Bric::Biz::Asset::Business::Media::Image - the media class that represents static images $LastChangedRevision$ $Data$ # Creation of new Image objects $image = Bric::Biz::Asset::Business::Media::Image->new( $init ) $image = Bric::Biz::Asset::Business::Media::Image->lookup( { id => $id }) ($images || @images) = Bric::Biz::Asset::Business::Media::Image->list( $param) # list of ids ($id_list || @ids) = Bric::Biz::Asset::Business::Media::Image->list_ids($param) The Subclass of Media that pretains to Images

Constructors
This will create a new image object. Supported Keys: Put Itmes here Throws: NONE Side Effects: NONE Notes: NONE This will return the matched looked up object Throws: NONE Side Effects: NONE Notes: NONE Returns a list of image objects that match the params passed in Throws: NONE Side Effects: NONE Notes: NONE

Destructors
dummy method to not wast the time of AUTHLOAD

Public Class Methods
Returns a list of ids that match the particular params Supported Keys: Put Keys Here Throws: NONE Side Effects: NONE Notes: NONE Returns the class id of the Image class Throws: NONE Side Effects: NONE Notes: NONE Returns the key name of this class. Throws: NONE. Side Effects: NONE. Notes: NONE. Data Dictionary for introspection of the object Throws: NONE Side Effects: NONE Notes: NONE

Public Instance Methods
If the image document has an associated thumbnail image, this method returns its local URI. Throws: NONE. Side Effects: NONE. Notes: NONE. Creates a thumbnail image from the supplied image object. Returns 1 on successful completion or error string if it fails. Throws: NONE. Side Effects: NONE. Notes: NONE. Overrides the "upload_file()" method in the parent class and then makes a call to the "create_thumbnail()" method. Throws: NONE Side Effects: NONE Notes: NONE

Private Class Methods
NONE

Private Instance Methods
my $thumb_location = $self->_thumb_location; Returns the location of a thumnail image file. This method simply modifies the value returned by "get_location" to generate the name of the image file. Returns "undef" if the image has no location. my $thumb_file = $self->_thumb_file; Returns the absolute path to the thumnail image file for this image. NONE "Michael Soderstrom" <miraso@pacbell.net> perl , Bric, Bric::Biz::Asset, Bric::Biz::Asset::Business, Bric::Biz::Asset::Business::Media